/// YApi QuickType插件生成，具体参考文档:https://plugins.jetbrains.com/plugin/18847-yapi-quicktype/documentation

import 'dart:convert';

import 'package:domain/entity/rewards_index_entity.dart';
import 'package:domain/entity/visitor_page_entity.dart';
import 'package:shared/utils/log_utils.dart';
import 'package:widgets/load_state_layout.dart';

class RewardsState {
  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;
  RewardsIndexEntity? list;

  RewardsState({
    this.loadingState = LoadState.State_Loading,
    String? errorMessage,
    this.list,
  });

  RewardsState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    RewardsIndexEntity? list,
  }) {
    return RewardsState(
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      list: list ?? this.list,
    );
  }

  Map<String, dynamic> toMap() {
    return {
      'list': this.list,
    };
  }

  factory RewardsState.fromMap(Map<String, dynamic> map) {
    return RewardsState(
      list: map['list'] as RewardsIndexEntity,
    );
  }
}
